Charges

Settle a charge

Marks a charge in ready status as settled. Typically used when confirming usage outside automatic credit settlement.

POST
/charges/{id}/settle

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X POST "https://example.com/charges/chg_IhMUl3rrZ3/settle"
{
  "charge": {
    "object": "charge",
    "id": "chg_IhMUl3rrZ3",
    "created_at": "2026-05-13T10:09:31.569Z",
    "name": "API usage",
    "status": "settled",
    "event_id": "evt_IhMUl3rrZ3",
    "price_id": "pri_IhMUl3rrZ3",
    "quantity": 3000,
    "account_id": "acc_IhMUl3rrZ3",
    "tax_amount": 0,
    "description": null,
    "price_model": "per_unit",
    "unit_amount": 100,
    "total_amount": 300000,
    "discount_amount": 0,
    "subscription_id": "sub_IhMUl3rrZ3",
    "subtotal_amount": 300000
  },
  "meta": {
    "request_id": "req_IhMUl3rrZ3"
  }
}